#                              Themes/Makefile
#
# This is the makefile for the Themes directory... themes do not require much
# in the way of building... but they do have documentation that needs to be 
# compiled.  This file basically figures out which subdirectories in the 
# Themes/ directory are real themes and builds them.  The themes all include
# the Themes/Makefile.themes makefile, to do their dirty work...
#

LEVEL = ..

# Try to figure out what Themes are in this directory.
# Start out with everything in this directory, and then remove all entries
# that do not have a <themename>.cfg file in them...
#
RawThemeNames     = $(wildcard *)
RawThemeDirs      = $(addsuffix /, $(RawThemeNames))
RawThemeDirFiles  = $(addsuffix .cfg, $(join $(RawThemeDirs),$(RawThemeNames)))

# ThemeDirs is all of the real directories, sorted to remove redundancies
ThemeDirs  = $(patsubst %/,%,$(sort $(dir $(wildcard $(RawThemeDirFiles)))))

# Set DIRS so that the common makefile knows how to do the right thing...
DIRS=$(ThemeDirs)

include $(LEVEL)/Makefile.common

# all - After recursively building themes, print out a little status message.
all::
	@echo ======= Themes available: $(ThemeDirs) =======

# clean - Remove all intermediate files... just let recursive case go...
clean::

# install - Install the themes in the 'Install' directory...
install:: $(LibInstDir)/Themes/.dir
	cp -rf $(LEVEL)/Install/Themes $(LibInstDir)
